import { createRoot } from 'react-dom/client';
import { configure } from 'mobx';
import { Provider } from 'mobx-react';
import App from '@/App';
import dayjs from 'dayjs';
import 'dayjs/locale/zh-cn';
import '@/style/global.less';

// Mobx配置
configure({
    enforceActions: 'never',// 非严格模式
});

// 日期-中文
dayjs.locale('zh-cn');

// React@v18 Render方法
const root = createRoot(document.getElementById('root')!);

root.render(
    <Provider>
        <App />
    </Provider>
);